Bug 508699 - Queue chapter: Document when the exclusive queue is released to next subscriber
Queue chapter: Document when the exclusive queue is released to next subscriber
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise MRG
Classification: Red Hat
Component: Messaging_Programming_Reference (Show other bugs)
1.2
All Linux
low Severity medium
: 1.3
: ---
Assigned To: Alison Young
MRG Quality Engineering
: Documentation
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-06-29 10:33 EDT by Jonathan Robie
Modified: 2013-08-05 20:53 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-03-16 21:27:21 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jonathan Robie 2009-06-29 10:33:25 EDT
For exclusive, we need to be more explicit on when the exclsuive queue will be released to the next subscriber.  i.e. based on session closing, and maybe also say that the time can be reduced by configuring heartbeats...
Comment 1 Jonathan Robie 2010-03-26 09:50:33 EDT
The current text says this:

> Exclusive queues
>
> Exclusive queues can only be used in one session at a time. When a queue is 
> declared with the exclusive property set, that queue is not available for use
> in any other session until the session that declared the queue has been closed.
>
> If the server receives a declare, bind, delete or subscribe request for a
> queue that has been declared as exclusive, an exception will be raised and the 
> requesting session will be ended. 

I think that clearly states that the queue is not available until the session that declared the queue has been closed.

I will mention that using heartbeats allows this to be detected more quickly. Is there anything else that needs to be added?
Comment 2 Jonathan Robie 2010-03-26 18:09:12 EDT
Fixed in checked-in source, will show in next build.
Comment 3 Alison Young 2011-03-16 21:27:21 EDT
Closed as fix already implemented

Note You need to log in before you can comment on or make changes to this bug.